Node

List all the nodes in a project identified by the project UUID

get
Path parameters
projectIdstringRequired

UUID of the project the node belongs to

Header parameters
X-Auth-TokenstringRequired
Responses
chevron-right
200

OK

application/json
namestringOptional

Host name of the node

uuidstringOptional

UUID of the node

primaryIpstringOptional

IP address of the node

nodePoolNamestringOptional

Name of the node pool, the node belongs to

nodePoolUuidstringOptional

UUID of the node pool, the node belongs to

cloudProviderTypestringOptional

Type of cloud provider, such as local or aws used to create the cluster

cloudProviderUuidstringOptional

UUID of the cloud provider used to create the cluster

cloudInstanceIdstringOptional

UUID of the cloud instance used to create the cluster

clusterNamestringOptional

Name of the cluster the node belongs to

clusterUuidstringOptional

UUID of the cluster the node belongs to

projectIdstringOptional

UUID of the project the node belongs to

actualKubeRoleVersionstringOptional

actual version of the kube role on the node

clusterKubeRoleVersionstringOptional

Kube version of the cluster the node belongs to

isMasterintegerOptional

1 if this node is a master of a custer. 0 otherwise.

api_respondingintegerOptional

1 indicates the API server on this node is running. 0 otherwise. Applicable only if isMaster is 1

statusstringOptional

Status of the node. States include “ok”, ”converging”, “failed”. These states indicate the current state of kubernetes setup on the host.

masterlessintegerOptional

1 indicates the node is a masterless node. 0 otherwise

startKubeintegerOptional

1 indicates kube to be installed on the node . 0 otherwise

get
/v4/{projectId}/nodes

Get details of a specific node in project, identified by the UUID

get
Path parameters
uuidstringRequired

UUID of the node

projectIdstringRequired

UUID of the project the node belongs to

Header parameters
X-Auth-TokenstringRequired
Responses
chevron-right
200

OK

application/json
namestringOptional

Host name of the node

uuidstringOptional

UUID of the node

primaryIpstringOptional

IP address of the node

nodePoolNamestringOptional

Name of the node pool, the node belongs to

nodePoolUuidstringOptional

UUID of the node pool, the node belongs to

cloudProviderTypestringOptional

Type of cloud provider, such as local or aws used to create the cluster

cloudProviderUuidstringOptional

UUID of the cloud provider used to create the cluster

cloudInstanceIdstringOptional

UUID of the cloud instance used to create the cluster

clusterNamestringOptional

Name of the cluster the node belongs to

clusterUuidstringOptional

UUID of the cluster the node belongs to

projectIdstringOptional

UUID of the project the node belongs to

actualKubeRoleVersionstringOptional

actual version of the kube role on the node

clusterKubeRoleVersionstringOptional

Kube version of the cluster the node belongs to

isMasterintegerOptional

1 if this node is a master of a custer. 0 otherwise.

api_respondingintegerOptional

1 indicates the API server on this node is running. 0 otherwise. Applicable only if isMaster is 1

statusstringOptional

Status of the node. States include “ok”, ”converging”, “failed”. These states indicate the current state of kubernetes setup on the host.

masterlessintegerOptional

1 indicates the node is a masterless node. 0 otherwise

startKubeintegerOptional

1 indicates kube to be installed on the node . 0 otherwise

get
/v4/{projectId}/nodes/{uuid}

Updates the properties of the node specified by the node UUID

put

Currently, only the cluster property for a node can be modified and its primary usage is to detach a node from a cluster. The node, if needed, can be reattached to another cluster by using the cluster’s attach API

Path parameters
uuidstringRequired

UUID of the node

projectIdstringRequired

UUID of the project the nodes belongs to

Header parameters
X-Auth-TokenstringRequired
Body
clusterUuidstringOptional

Value of this field must be set to null to detach the node

Responses
chevron-right
200

OK, if the node gets deattached from the cluster

No content

put
/v4/{projectId}/nodes/{uuid}

No content

Last updated

Was this helpful?